<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!entity docbook.dsl PUBLIC "-//Norman Walsh//DOCUMENT DocBook HTML Stylesheet//EN" CDATA DSSSL>
]>

<!-- 

Document: website.dsl
Version: 0.1

Author: Johannes Erdfelt <johannes@erdfelt.com>

This is just a custom style sheet for the libusb website.

Changelog:
 
20010826 - First stab

-->

<style-sheet>
<style-specification id="html" use="docbook">
<style-specification-body>


;; =========================
;; Indexes

;; Returns the depth of the auto-generated TOC (table of contents) that
;; should be made at the nd-level
(define (toc-depth nd)
  (if (string=? (gi nd) "book")
      2 ; the depth of the top-level TOC
      2 ; the depth of all other TOCs
      ))

(define %page-n-columns%
  ;; Sets the number of columns on each page
  2)

(define %generate-article-toc% 
  #t)


(define %header-navigation%
  #t)

(define %footer-navigation%
  #t)

(define %gentext-nav-use-tables%
  #t)

(define %gentext-nav-tblwidth% 
  "100%")


(define %indent-programlisting-lines%
  "    ")

(define %indent-screen-lines%
  "    ")

(define %shade-verbatim%  
  #t)

(define ($shade-verbatim-attr$)
  (list
   (list "BORDER" "0")
   (list "BGCOLOR" "#E0E0E0")
   (list "WIDTH" ($table-width$))))

(define %callout-default-col% 
  70)

(define biblio-number
  #t)

(define %graphic-default-extension% 
  "jpg")

(define %graphic-extensions% 
  '("gif" "jpg" "jpeg" "png" "tif" "tiff" "eps" "epsf"))

(define %stylesheet%
  "/website.css")

(define %stylesheet-type%
  "text/css")


(define %use-id-as-filename%
  #t)

(define use-output-dir
  #t)

(define %output-dir%
  "html/")

(define %html-ext% 
  ".html")

(define %root-filename%
  "index")

(define %html-use-lang-in-filename% 
  #f)

(define %html40%
  #t)

(define %fix-para-wrappers%
  #t)

(define %section-autolabel%
  #t)

(define (chunk-skip-first-element-list)
  '())

</style-specification-body>
</style-specification>
<external-specification id="docbook" document="docbook.dsl">
</style-sheet>
